Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 473438 - Monitoring installation fails with RHN::DB->connect(): No such alias ''
Summary: Monitoring installation fails with RHN::DB->connect(): No such alias ''
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-28 14:44 UTC by Miroslav Suchý
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:57 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-11-28 14:44:41 UTC
Description of problem:
During spacewalk setup:
** Loading Satellite Certificate.
** Verifying certificate locally.
** Activating Satellite.
* Enabling Monitoring.
RHN::DB->connect(): No such alias '' at /usr/lib/perl5/site_perl/5.8.8/RHN/DB/SatInstall.pm line 374

This should not happen.


Temporal workaround:
export RHN_DEFAULT_DB='spacewalk/spacewalk@xe'

Comment 1 Miroslav Suchý 2008-11-28 15:04:45 UTC
In old installer we have:
sub set_default_db {
  my $dsn = shift;

  my %options = ('default_db' => $dsn);
  RHN::SatInstall->write_config(\%options);

  RHN::DB->set_default_handle($dsn);

  return;
}

Comment 2 Miroslav Suchý 2008-11-28 15:21:12 UTC
Commited as a8fffe77b05af94f7647ff0b2e72773567a661f0

Comment 3 Michael Mráka 2009-01-15 13:03:41 UTC
Verified.

...
** Loading Spacewalk Certificate.
** Verifying certificate locally.
** Activating Spacewalk.
* Enabling Monitoring.
* Configuring apache SSL virtual host.
...


Note You need to log in before you can comment on or make changes to this bug.